Extending Qt Creator Manual | NameMangler

Extending Qt Creator Manual 4.5.2

# NameMangler Class

(TextEditor::NameMangler)

- List of all members, including inherited members

## Public Functions

virtual | ~NameMangler()
virtual Core::Id | id() const = 0
virtual QString | mangle(const QString &unmangled) const = 0

## Member Function Documentation

### `[virtual]` NameMangler::~NameMangler()

Destroys the instance of NameMangler. The destructor is virtual.

### `[pure virtual]` Core::Id NameMangler::id() const

### `[pure virtual]` QString NameMangler::mangle(const QString &unmangled) const